\section{\large Installation of the PAX kernel \label{sec:installation}}
\noindent
The PAX kernel code is kept in CVS web repository hosted by the 'CERN Central CVS service'.
The repository can be browsed online, either by following the 'CVS' link one the project webpage
\begin{center}\href{http://cern.ch/pax}{http://cern.ch/pax}\end{center}
or by directly accessing the repository following
\begin{center}\href{http://isscvs.cern.ch/cgi-bin/viewcvs-all.cgi/?cvsroot=pax}{http://isscvs.cern.ch/cgi-bin/viewcvs-all.cgi/?cvsroot=pax}\end{center}
\noindent
Change directory and go to the {\bf\red PAX/} subdirectory, containing the PAX kernel.
Using the pull-down menu at the bottom of the page you can choose, which kernel version you want to download.
We recommend to choose {\bf the latest officially tagged kernel release} (e.g. PAX$\_$2$\_$00$\_$00).
Clicking on '{\blue Download tarball}' a compressed tar-file {\bf\red PAX.tar.gz} is prepared for your download.\\
After having downloaded this file to your target directory, extract the files:\\
\noindent
{\bf\red $>$ tar xvzf PAX.tar.gz}\\
After\\
{\bf\red $>$ cd PAX}\\
you will find the same directory structure as you saw in the CVS web repository.\\

\noindent
In order to provide a dynamic library with the PAX kernel,
make sure that all settings in the file named 'Makefile'
are correct.
In particular, you have to decide whether you intend to use the class TLorentzVector of ROOT or the class HepLorentzVector of the CLHEP library as base class for the PaxFourVector.
Having configured the 'Makefile', the command to set up the kernel is:\\
{\bf\red $>$ gmake setup}\\
\noindent
Then the dynamic library is built by executing the command\\
{\bf\red $>$ gmake paxkernellib}\\

\noindent
For first experiences with the PAX kernel functionalities, you may want to have a look at the example applications in the directory named 'test'.
Please change the directory via\\
{\bf\red $>$ cd test}\\
\noindent
In this directory another file named 'Makefile' is prepared.
Please check the settings in this 'Makefile' as you did with the one in the PAX/ directory.
Typing\\
{\bf\red $>$ gmake}\\
starts the compilation of these example applications.\\

\noindent
We would like to direct your attention to the file paxdemo.cc, which illustrates most of the basic kernel functionalities of the PAX kernel.
This example will be discussed in detail in section~\ref{sec:examples}.























%The PAX kernel code resides in  /afs/cern.ch/cms/ as the external 
%{\bf \red package pax}.
%In the following sections we present examples of PAX in combination with 
%{\bf\red ORCA}.
%PAX can equally well be used within other frameworks, such
%as Monte Carlo generators.
%
%\noindent
%Get your ORCA release (this example uses the tcsh shell), e.g., \\
%{\bf\blue Follow the instructions of the ORCA userguide section
%for the impatient user} 
%(access e.g. via the CMS fast navigator web page) to get a correct setup.
%Go to the {\bf\red src} directory of your checkout area and get the
%{\bf\red Examples} directory via cvs.
%You will find the {\bf\red ExPaxAnalysis} directory, that contains the example analysis.
%\\
%The ExPaxAnalysis package contains example analysis code, a
%BuildFile, and a {\bf\red .orcarc} file.\\
%\\
%By executing\\ 
% {\bf\red scram b}\\
%the project should compile correctly. \\
%\\
%After inserting the correct database path in the {\bf\red 
%  .orcarc} file you are ready for a testrun of the example analysis by executing
%{\bf\red  ExPaxAnalysis}. 
%Depending on the values specified in the  {\bf\red 
%  .orcarc} file, the example analysis writes an output file with event
%interpretations and a file with histograms.
%~\\~\\
